/*Tps Home CSS Code*/
.tps-common-space{
   margin-bottom: 120px;
}
.tps-common-space.tps-home-top-banner{
   margin-bottom: 60px;
}
.tps-home-top-banner .elementor-column.elementor-col-50,
.tps-home-wedding-section .elementor-column.elementor-col-50{
   position: relative;
}
.tps-home-top-banner .elementor-widget-heading,
.tps-home-top-banner .elementor-widget-button,
.tps-home-wedding-section .elementor-widget-heading,
.tps-home-wedding-section .elementor-widget-button{
   position: absolute;
   left: 50%;
   transform: translateX(-50%);
   bottom: 125px;
}
.tps-home-top-banner .elementor-widget-button{
   bottom: 60px;
}
.tps-home-top-banner h2,
.tps-home-wedding-section h2{
   color: var(--secondary-color);
   text-align: center;
   font-family: var(--tps-heading-font);
   font-size: 50px;
   font-weight: 400;
   line-height: normal;     
}
.tps-home-top-banner a.elementor-button-link,
.tps-home-wedding-section .elementor-widget-button a{
   padding: 12px 16px;
   background: var(--tps-teal-color);
   color: var(--site-white-color);
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 12px;
   line-height: 12px;
   font-weight: 500;
   letter-spacing: 1px;
   text-transform: uppercase;
   transition: 0.5s ease-in-out;
   border: 1px solid var(--tps-teal-color);
}
.tps-home-top-icon-section .elementor-container{
   max-width: 100% !important;
   width: 100%;
   padding: 0px;
   margin: 0px;
}
.tps-home-top-icon-section span.elementor-image-box-title{
   color: #1C1C1C;
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 16px;
   font-weight: 400;
   line-height: 24px;
   text-transform: uppercase;    
   display: block;
   margin-bottom: 6px;
}
.tps-home-top-icon-section span.elementor-image-box-title + p{
   color: #828282;
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 12px;
   font-weight: 400;
   line-height: 18px;
   max-width: 285px;
   margin-inline: auto;
   display: inline-block;
}
.tps-home-top-icon-section .elementor-image-box-content::before{ 
   content: '';
   width: 40px;
   height: 40px;
   margin-inline: auto;
   display: block;
   margin-bottom: 16px;
   background-image: url(../images/header-footer-sprite.svg);
   background-repeat: no-repeat;
}
.tps-home-top-icon-section .elementor-row .elementor-col-25{
   position: relative;
   padding-inline: 20px;
}
.tps-home-top-icon-section .elementor-row .elementor-col-25:not(:last-child)::after{
   content: '';
   width: 1px;
   height: 70%;
   background-color: #EAEAEA;
   position: absolute;
   right: 0px;
   top: 50%;
   transform: translateY(-50%);
}
.tps-home-top-icon-section .tps-icon-bespoke .elementor-image-box-content::before{
   background-position: -226px -106px;
}
.tps-home-top-icon-section .tps-icon-shipping .elementor-image-box-content::before{
   background-position: -321px -103px;
}
.tps-home-top-icon-section .tps-icon-ethically .elementor-image-box-content::before{
   background-position: -133px -105px;
}
.tps-home-top-icon-section .tps-icon-lift .elementor-image-box-content::before{
   background-position: -27px -104px;
}
.tps-engagment-ring-section .elementor-column-wrap,
.tps-shop-by-diamond .elementor-column-wrap,
.tps-shop-by-style .elementor-column-wrap,
.tps-home-wedding-section .elementor-column-wrap{
   padding: 0px !important;
   position: relative;
   transition: 0.5s ease-in-out;
}
.tps-engagment-ring-section .elementor-column-wrap img{
   transition: transform .5s;
}
.tps-engagment-ring-section .elementor-row{
   grid-column-gap: 0.3%;
}
.tps-engagment-ring-section .elementor-row .elementor-col-25{
  width: 24.77%;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-widget-heading{
   position: absolute;
   left: 50%;
   transform: translateX(-50%);
   bottom: 60px;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-widget-heading span.elementor-heading-title{
   color: var(--site-white-color);
   text-align: center;
   font-family: var(--tps-heading-font);
   font-size: 24px;
   line-height: 32px;
   font-weight: 500;
   line-height: normal;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-widget-button{
   position: absolute;
   left: 50%;
   transform: translateX(-50%);
   bottom:26px;
   padding-inline: 0px;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-widget-button a{
   background-color: transparent;
   border: none;
   color: var(--site-white-color);
   font-size: 12px;
   line-height: 12px;
   font-weight: 400;
   position: relative;
   padding-inline: 0px;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-widget-button a::after,
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a span::after,
.tps-shop-by-style .tps-style-by-slider .elementor-inner-column .elementor-widget-heading a::after{
   content: '';
   width: 00%;
   height: 1px;
   background-color: var(--site-white-color);
   position: absolute;
   left: 50%;
   transform: translateX(-50%);
   bottom: 9px;
   transition: width 0.5s ease-in-out;
}
.tps-engagment-ring-section .elementor-column-wrap .elementor-inner-column{
   overflow: hidden;
}
.tps-shop-by-diamond .elementor-container{
   max-width: 1080px;
   padding-inline: 15px;
}
.tps-shop-by-diamond .ce-widgets-space--gap>.elementor-column-wrap>.elementor-widget-wrap,
.tps-shop-by-style .ce-widgets-space--gap>.elementor-column-wrap>.elementor-widget-wrap,
.tps-home-wedding-section .ce-widgets-space--gap>.elementor-column-wrap>.elementor-widget-wrap{
   grid-gap: 0px;
}
.tps-shop-by-diamond h2,
.tps-shop-by-style h2{
   margin-bottom: 16px;
}     
.tps-shop-by-diamond .elementor-widget-text-editor p:not(#e),
.tps-shop-by-style .elementor-widget-text-editor p:not(#e){
   color: #6F6F6F;
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 16px;
   font-weight: 400;
   line-height: 24px;
}
.tps-shop-by-diamond .elementor-widget .elementor-icon-list-items,
.tps-shop-by-style .tps-style-by-slider .elementor-row{
   display: flex;
   flex-wrap: wrap;
   grid-row-gap: 60px;
   margin-top: 40px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item{
   width: 20%;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a{
   color: var(--secondary-color);
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 13px;
   font-weight: 500;
   line-height: 13px;
   letter-spacing: 3px;
   position: relative;
   margin-inline: auto;
   text-decoration: none;   
   display: flex;
   flex-direction: column;
   align-items: center;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a span{
   padding-bottom: 3px;   
   width: fit-content;
   position: relative;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a span::after{
   background-color: var(--secondary-color);
   bottom: 0px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a::before{
   content: '';
   width: 150px;
   height: 150px;
   margin-inline: auto;
   margin-bottom: 15px;
   background-image: url(../images/Diamond-Sprite-Sheet.png);
   background-repeat: no-repeat;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.round::before{
   background-position: 4px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.oval::before{
   background-position: -166px 8px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.emerald::before{
   background-position: -338px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.princess::before{
   background-position:-508px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.pear::before{
   background-position:-679px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.cushion::before{
   background-position:-851px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.asscher::before{
   background-position:-1022px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.marquise::before{
   background-position:-1194px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.heart::before{
   background-position:-1363px 7px;
}
.tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.radiant::before{
   background-position:-1536px 7px;
}
.tps-style-by-slider,
.tps-home-wedding-section{
   padding-inline: 40px;
}
.tps-shop-by-style .tps-style-by-slider .elementor-row{
   grid-column-gap: 1%;
   flex-wrap: unset;
}
.tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column{
   width: 24.25%;
}
.tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column:nth-child(n+5){
   display: none;
}
.tps-shop-by-style .tps-style-by-slider .elementor-inner-column .elementor-widget-heading a{
   overflow: hidden;
   color: var(--tps-text-color-2);
   text-align: center;
   text-overflow: ellipsis;
   font-family: var(--tps-body-font);
   font-size: 18px;
   font-weight: 500;
   line-height: 24px;
   margin: 15px auto 0px auto;
   text-decoration: none;
   position: relative;
   display: block;
   width: fit-content;
   padding-bottom: 3px;
}
.tps-shop-by-style .tps-style-by-slider .elementor-inner-column .elementor-widget-heading a::after{
   background-color: var(--tps-text-color-2);
   bottom: 0px;
}
.tps-shop-by-style .elementor-image img,
.tps-home-wedding-section img{
   transition: transform .5s;
}
.tps-shop-by-style .elementor-image,
.tps-home-wedding-section .elementor-image{
   overflow: hidden;
}
.tps-home-wedding-section .elementor-widget-heading{
   left: 48px;
   bottom: 100px;
   transform: none;
   width: fit-content !important;
}
.tps-home-wedding-section .elementor-widget-button{
   left: 48px;
   bottom: 48px;
   transform: none;
   width: fit-content !important;
}
.tps-home-wedding-section .tps-mens-wedding-band h2{
   color: var(--site-white-color);
}
.tps-home-wedding-section .elementor-row{
   grid-column-gap: 1.7%;
}
.tps-shop-by-diamond.tps-colur-section .elementor-container{
   max-width: 1310px;
   padding-inline: 15px;
}
.tps-colur-section h2{
   margin-bottom: 30px;
}
.tps-shop-by-diamond.tps-colur-section .elementor-container .elementor-container{
   padding-inline: 0px;
}
.tps-colur-section .elementor-row p a{
   color: #6F6F6F;
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 13px;
   font-weight: 400;
   line-height: normal;
   display: flex;
   flex-direction: column;
   align-items: center;
   grid-gap: 10px;
   position: relative;
}
.tps-colur-section .elementor-row p a::before{
   content: '';
   width: 90px;
   height: 73px;
   margin:0px auto 10px auto;
   background-image: url(../images/Gemstone-Sprite.png);
   background-repeat: no-repeat;
}
.tps-colur-section .elementor-row p a strong{
   color: var(--secondary-color);
   text-align: center;
   font-family: var(--tps-body-font);
   font-size: 15px;
   line-height: 15px;
   font-weight: 400;
   line-height: normal;
}
.tps-colur-section .elementor-inner-section .elementor-row{
   margin-bottom: 40px;
   margin-top: 10px;
}
.tps-colur-section .elementor-row a.elementor-button:not(#e){
   color: var(--tps-teal-color);
   font-family: var(--tps-body-font);
   font-size: 14px;
   font-weight: 500;
   line-height: 14px;
   letter-spacing: 1px;
   border-radius: 2px;
   border: 1px solid var(--tps-teal-color);
   display: flex;
   padding: 14px 48px;
   justify-content: center;
   align-items: center;
   background-color: transparent;
   width: fit-content;
   margin-inline: auto;
   transition: 0.5s ease-in-out;
}
.tps-colur-section .elementor-row .may p a::before{
   background-position: 0 -9px;
}
.tps-colur-section .elementor-row .jun p a::before{
   background-position: -89px -9px;
}
.tps-colur-section .elementor-row .july p a::before{
   background-position: -181px -9px;
}
.tps-colur-section .elementor-row .august p a::before{
   background-position: -271px -9px;
}
.tps-colur-section .elementor-row .septemeber p a::before{
   background-position: -362px -9px;
}
.tps-colur-section .elementor-row .octomber p a::before{
   background-position: -450px -9px;
}
.tps-colur-section .elementor-row .november p a::before{
   background-position: -541px -9px;
}
.tps-style-by-slider{
   position: relative;
}
.tps-style-by-slider .slick-arrow,
.tps-engagment-ring-section .slick-arrow{
   position: absolute;
   top: 50%;
   transform: translateY(-50%);
   width: 40px;
   height: 40px;
   font-size: 0px;
   line-height: 0px;
   color: transparent;
   border-radius: 50%;
   border: 1px solid var(--primary-color);
   background-color: var(--primary-color);
   background-image: url(../images/header-footer-sprite.svg);
   background-position: -497px -16px;
   cursor: pointer;
   z-index: 9;
}
.tps-style-by-slider .slick-arrow.slick-prev,
.tps-engagment-ring-section .slick-arrow.slick-prev{
   left: 20px;   
   transform: rotate(180deg);
   margin-top: -14px;
}
.tps-style-by-slider .slick-arrow.slick-next,
.tps-engagment-ring-section .slick-arrow.slick-next{
   right: 20px;   
   left: auto;
}
.tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column.slick-slide,
.tps-engagment-ring-section .elementor-inner-column.slick-slide{
   display: block;
   padding-inline: 10px;
}
.tps-shop-by-style .tps-style-by-slider .slick-track{
   display: flex;
}
.tps-style-by-slider .slick-arrow.slick-disabled{
   opacity: 0;
}
@media(hover:hover){
   .tps-engagment-ring-section .elementor-column-wrap .elementor-widget-button a:hover::after,
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a:hover span::after,
   .tps-shop-by-style .elementor-inner-column .elementor-widget-wrap:hover .elementor-widget-heading a::after{
      width: 100%;
   }
   .tps-engagment-ring-section .elementor-column-wrap .elementor-inner-column:hover img,
   .tps-shop-by-style .elementor-inner-column .elementor-widget-wrap:hover img,
   .tps-home-wedding-section .elementor-inner-column .elementor-widget-wrap:hover img{
      transform: scale(1.1);
   }
   .tps-home-top-banner a.elementor-button-link:hover,
   .tps-home-wedding-section .elementor-widget-button a:hover{
      background-color: transparent;
      border-color: var(--site-white-color);
      box-shadow: 0 6px 16px rgba(0, 0, 0, 0.22);
      transform: translateY(-2px);
   }
   .tps-colur-section .elementor-row a.elementor-button:not(#e):hover{
      background-color: var(--tps-teal-color);
      color: var(--site-white-color);
      box-shadow: 0 6px 16px rgba(0, 0, 0, 0.22);
      transform: translateY(-2px);
      border-color: var(--tps-teal-color);
   }
}
@media(max-width:1520px){
   .tps-style-by-slider, .tps-home-wedding-section {
       padding-inline: 50px;
   }
}
@media(max-width:1440px){
   .tps-style-by-slider, .tps-home-wedding-section {
       padding-inline: 70px;
   }
   .tps-home-top-banner h2, .tps-home-wedding-section h2{
      font-size: 40px;
   }
}
@media(max-width:1300px){
   .tps-style-by-slider, .tps-home-wedding-section,
   .tps-shop-by-diamond.tps-colur-section .elementor-container{
       padding-inline: 30px;
   }
   .tps-home-top-banner .elementor-widget-button {
       bottom: 45px;
   }
   .tps-home-top-banner .elementor-widget-heading{
      bottom: 100px;
   }
   .tps-home-wedding-section .elementor-widget-button{
      left: 30px;
      bottom: 25px;
   }
   .tps-home-wedding-section .elementor-widget-heading{
      left: 30px;
      bottom: 75px;
   }
   .tps-engagment-ring-section .elementor-column-wrap .elementor-widget-heading{
      bottom: 45px;
   }  
   .tps-engagment-ring-section .elementor-column-wrap .elementor-widget-button{
      bottom: 12px;
   }
   .tps-common-space {
       margin-bottom: 100px;
   }

}
@media(max-width:1200px){
   .tps-style-by-slider, .tps-home-wedding-section,
   .tps-shop-by-diamond.tps-colur-section .elementor-container{
       padding-inline: 20px;
   }
   .tps-home-top-banner .elementor-widget-button {
      bottom: 25px;
   }
   .tps-home-top-banner .elementor-widget-heading {
     bottom: 80px;
   }
   .tps-home-wedding-section .elementor-widget-button{
      bottom: 20px;
   }
   .tps-home-wedding-section .elementor-widget-heading{
      bottom: 70px;
   }
}
@media(max-width:1199px){
   .tps-home-top-banner h2, .tps-home-wedding-section h2 {
      font-size: 35px;
   }   
}
@media(max-width:1050px){
   .tps-engagment-ring-section .elementor-row .elementor-col-25 {
       width: 49%;
   }
   .tps-engagment-ring-section .elementor-row {
       grid-column-gap: 2%;
       grid-row-gap: 20px;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25{
      padding-inline: 10px;
   }
   .tps-common-space {
    margin-bottom: 70px;
   }   
}
@media(max-width: 1024px){
   .tps-home-wedding-section .elementor-column.elementor-col-50{
      width: 49.15%;
   }
   .tps-home-top-icon-section span.elementor-image-box-title{
      font-size: 14px;
   }
}
@media(max-width:991px){
   .tps-home-top-icon-section>.elementor-container>.elementor-row{
      grid-row-gap: 20px;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25{
      width: 49%;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(2)::after{
      display: none;
   }
   .tps-home-wedding-section h2 {
      font-size: 30px;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column {
      width: 32.70%;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column:nth-child(n+4) {
       display: none;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column.slick-slide{
       display: block;
   }
   .tps-style-by-slider .slick-arrow,
   .tps-engagment-ring-section .slick-arrow{
      width: 30px;
      height: 30px;
      background-position: -501px -21px;
   }
   .tps-style-by-slider .slick-arrow.slick-prev,
   .tps-engagment-ring-section .slick-arrow.slick-prev{
      background-position: -501px -19px;
   }
}
@media(max-width:900px){
   .tps-home-top-banner .elementor-column.elementor-col-50{
      width: 100%;
   }
   .tps-home-top-banner .elementor-column.elementor-col-50:nth-child(2){
      display: none;
   }
   .tps-shop-by-diamond .elementor-widget .elementor-icon-list-items{
      justify-content: center;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item {
       width: 25%;
   }
   .tps-colur-section .elementor-row p a{
      grid-gap: 4px;
   }
   .tps-home-wedding-section .elementor-widget-heading,
   .tps-home-wedding-section .elementor-widget-button{
      left: 15px;
   }
}
@media(max-width:767px){
   .tps-style-by-slider, .tps-home-wedding-section
   .tps-shop-by-diamond.tps-colur-section .elementor-container,
   .tps-style-by-slider, 
   .tps-home-wedding-section, 
   .tps-shop-by-diamond.tps-colur-section .elementor-container{
      padding-inline: 15px;
   }
   .tps-home-top-banner h2{
     font-size: 32px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item {
     width: 33.33%;
   }   
   .tps-home-wedding-section .elementor-column.elementor-col-50 {
        width: 100%;
   }
   .tps-home-wedding-section>.elementor-container>.elementor-row{
      grid-row-gap: 40px;
   }
   .tps-colur-section .elementor-inner-section .elementor-row{
      grid-row-gap: 30px;
      justify-content: center;
   }
   .tps-colur-section .elementor-inner-section .elementor-row .elementor-col-14 {
      width: 33.33%;
   }
   .tps-home-wedding-section .elementor-widget-heading, 
   .tps-home-wedding-section .elementor-widget-button{
      left: 50%;
      transform: translateX(-50%);
      width: 100% !important;
      text-align: center;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column:nth-child(n+3) {
      display: none;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column.slick-slide{
       display: block;
   }
   .tps-shop-by-style .tps-style-by-slider .elementor-row .elementor-inner-column {
      width: 49.6%;
   }
   .tps-shop-by-diamond .elementor-widget .elementor-icon-list-items, .tps-shop-by-style .tps-style-by-slider .elementor-row{
      margin-top: 20px;
   }
   .tps-shop-by-diamond h2, .tps-shop-by-style h2 {
       margin-bottom: 10px;
   }
   .tps-common-space {
     margin-bottom: 50px;
   }
   .tps-engagment-ring-section .elementor-row {
      grid-column-gap: 1.2%;
      grid-row-gap: 8px;
   }
   .tps-engagment-ring-section .elementor-row .elementor-col-25 {
     width: 49.3%;
   }
   .tps-home-top-icon-section span.elementor-image-box-title + p{
      max-width: 230px;
   }
   .tps-common-space.tps-home-top-banner {
       margin-bottom: 40px;
   }
   .tps-home-wedding-section h2 {
        font-size: 25px;
        line-height: 32px;
   }
   .tps-home-wedding-section .elementor-row {
       grid-row-gap: 30px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a::before{
      background-image: url(../images/Diamond-Sprite-Mobile.png);
      width: 120px;
      height: 120px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.round::before {
       background-position: 14px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.oval::before {
       background-position: -128px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.emerald::before {
       background-position: -266px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.princess::before {
       background-position: -406px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.pear::before {
       background-position: -546px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.cushion::before {
       background-position: -687px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.asscher::before {
       background-position: -826px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.marquise::before {
       background-position: -967px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.heart::before {
       background-position: -1106px 17px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item a.radiant::before {
       background-position: -1246px 17px;
   }
}
@media(max-width:639px){
   .tps-shop-by-diamond .elementor-widget .elementor-icon-list-items{
      scroll-snap-type: x mandatory;
      scroll-behavior: smooth;
      -webkit-overflow-scrolling: touch;
      scroll-padding-left: 50%;
      scroll-padding-right: 50%;
      display: flex;
      overflow-x: auto;
      white-space: nowrap;
      gap: 10px;
      padding-bottom: 5px;
      scroll-behavior: smooth;
      flex-wrap: unset;
      justify-content: flex-start;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item{
      flex: 0 0 auto;
      scroll-snap-align: start;
   }
   .tps-shop-by-diamond .elementor-widget .elementor-icon-list-items::-webkit-scrollbar {
      display: none;
   }
   .tps-home-top-banner .elementor-widget-button {
      bottom: 20px;
   }
   .tps-home-top-banner .elementor-widget-heading {
      bottom: 70px;
   }
}
@media(max-width:580px){
   .tps-engagment-ring-section .elementor-row .elementor-col-25 {
      width: 100%;
   }
   .tps-engagment-ring-section .elementor-row{
      grid-row-gap: 20px;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25 {
      padding-inline: 0px;
      width: 50%;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(1),
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(3){
      padding-right: 10px;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(2),
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(4){
      padding-left: 10px;
   }
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item {
     width: 39%;
   }
   .tps-engagment-ring-section .elementor-inner-section>.elementor-container>.elementor-row{
      padding-inline: 15px;
   }
   .tps-style-by-slider .slick-list.draggable,
   .tps-engagment-ring-section .slick-list.draggable{
      padding: 0 50px 0 0 !important;
   }
   .tps-style-by-slider .slick-arrow.slick-next,
   .tps-engagment-ring-section .slick-arrow.slick-next{
      right: 10px;
   }
   .tps-style-by-slider .slick-arrow.slick-prev,
   .tps-engagment-ring-section .slick-arrow.slick-prev{
      left: 10px;
   }
   .tps-style-by-slider,
   .tps-engagment-ring-section .elementor-inner-section>.elementor-container>.elementor-row{
      padding-inline: 0px;
   }
}
@media(max-width:420px){
   .tps-shop-by-diamond .elementor-icon-list-items .elementor-icon-list-item {
     width: 50%;
   }
   
}
@media(max-width:390px){
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(2), 
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(4),
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(1), 
   .tps-home-top-icon-section .elementor-row .elementor-col-25:nth-child(3){
        padding-left: 0px;
        width: 100%;
   }
   .tps-home-top-icon-section .elementor-row .elementor-col-25:not(:last-child)::after{
      display: none;
   }
}
